﻿$ErrorActionPreference = 'Stop';

$packageName= 'docker-for-windows'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://download.docker.com/win/stable/InstallDocker.msi"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url

  softwareName  = 'docker*'

  checksum      = 'e3b1c1199a2b66c516bb993950e6e8f59578a2094db3b610aa4c72ea50130220'
  checksumType  = 'sha256'
 
  silentArgs    = "/COMPONENTS=`"docker,dockermachine,dockercompse`" /TASKS=`"modifypath,upgradevm`" /qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
